/// class PD.Manage.Modules.DataModelColumnsToolbar
// using PD.Web.UI.Controls.ToolbarSegment

PD.Manage.Modules.DataModelColumnsToolbar =
PD.Web.UI.Controls.ToolbarSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/data-model:extension-column/create-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/data-model:extension-column/properties-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/data-model:extension-column/delete-dialog"
        }));

    }

});